From eb2e7f6aad9447010f34ce8d7230be754c61f6fb Mon Sep 17 00:00:00 2001
From: John Naylor <john.naylor@postgresql.org>
Date: Wed, 8 Feb 2023 12:34:13 +0700
Subject: [PATCH v4 3/4] Add more comments to #else directives

WIP: squash or leave out
---
 src/include/port/pg_bitutils.h | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/src/include/port/pg_bitutils.h b/src/include/port/pg_bitutils.h
index 9150789aaf..04f2fe8d3e 100644
--- a/src/include/port/pg_bitutils.h
+++ b/src/include/port/pg_bitutils.h
@@ -18,7 +18,7 @@
 #define HAVE_BITSCAN_FORWARD
 #define HAVE_BITSCAN_REVERSE
 
-#else
+#else							/* ! _MSC_VER */
 #if defined(HAVE__BUILTIN_CTZ)
 #define HAVE_BITSCAN_FORWARD
 #endif
@@ -70,7 +70,7 @@ pg_leftmost_one_pos32(uint32 word)
 	Assert(bitscan_result == result);
 	return bitscan_result;
 
-#else
+#else							/* ! HAVE_BITSCAN_REVERSE */
 	return result;
 #endif							/* HAVE_BITSCAN_REVERSE */
 }
@@ -119,7 +119,7 @@ pg_leftmost_one_pos64(uint64 word)
 	Assert(bitscan_result == result);
 	return bitscan_result;
 
-#else
+#else							/* ! HAVE_BITSCAN_REVERSE */
 	return result;
 #endif							/* HAVE_BITSCAN_REVERSE */
 }
@@ -165,7 +165,7 @@ pg_rightmost_one_pos32(uint32 word)
 	Assert(bitscan_result == result);
 	return bitscan_result;
 
-#else
+#else							/* ! HAVE_BITSCAN_FORWARD */
 	return result;
 #endif							/* HAVE_BITSCAN_FORWARD */
 }
@@ -217,7 +217,7 @@ pg_rightmost_one_pos64(uint64 word)
 	Assert(bitscan_result == result);
 	return bitscan_result;
 
-#else
+#else							/* ! HAVE_BITSCAN_FORWARD */
 	return result;
 #endif							/* HAVE_BITSCAN_FORWARD */
 }
-- 
2.39.1

